> ## Documentation Index
> Fetch the complete documentation index at: https://developer.box.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Box Doc Gen jobs by batch ID

> Lists Box Doc Gen jobs in a batch.

<Note>
  Learn more about [Box SDK versioning strategy](/guides/tooling/sdks/sdk-versioning/).
</Note>


## OpenAPI

````yaml /box-openapi-v2025.0.json GET /docgen_batch_jobs/{batch_id}
openapi: 3.0.2
info:
  title: Box Platform API
  description: >-
    [Box Platform](https://developer.box.com) provides functionality to provide
    access to content stored within [Box](https://box.com). It provides
    endpoints for basic manipulation of files and folders, management of users
    within an enterprise, as well as more complex topics such as legal holds and
    retention policies.
  termsOfService: https://cloud.app.box.com/s/rmwxu64h1ipr41u49w3bbuvbsa29wku9
  contact:
    name: Box, Inc
    url: https://developer.box.com
    email: devrel@box.com
  license:
    name: Apache-2.0
    url: https://www.apache.org/licenses/LICENSE-2.0
  version: '2025.0'
  x-box-commit-hash: 95117b97f9
servers:
  - url: https://api.box.com/2.0
    description: Box Platform API server.
security:
  - OAuth2Security: []
tags:
  - name: Archives
    description: A set of endpoints used to manage archives.
    x-box-tag: archives
  - name: Enterprise Configurations
    description: >-
      Enterprise configurations admins interact with to drive Box product
      behavior.
    x-box-tag: enterprise_configurations
  - name: Box Doc Gen
    description: Doc Gen is used to automatically generate documents.
    x-box-tag: docgen
  - name: Box Doc Gen templates
    description: Doc Gen templates are used as input to generate documents.
    x-box-tag: docgen_template
  - name: External Users
    description: External users are collaborators from outside of your enterprise.
    x-box-tag: external_users
  - name: Box Hubs
    description: A set of endpoints used to manage Box Hubs.
    x-box-tag: hubs
  - name: Box Hub Collaborations
    description: A set of endpoints used to manage collaborations within a Box Hub.
    x-box-tag: hub_collaborations
  - name: Box Hub Document
    description: >-
      A set of endpoints used to retrieve Box Hub Document elements (pages and
      content blocks).
    x-box-tag: hub_document
  - name: Box Hub Items
    description: A set of endpoints used to manage items within a Box Hub.
    x-box-tag: hub_items
  - name: Shield lists
    description: >-
      Shield List allow an administrator to create a list which will be shared
      between different Shield Smart Access and Threat Detection rules.
    x-box-tag: shield_lists
externalDocs:
  description: Box Developer Documentation.
  url: https://developer.box.com
paths:
  /docgen_batch_jobs/{batch_id}:
    get:
      tags:
        - Box Doc Gen
      summary: Get Box Doc Gen jobs by batch ID
      description: Lists Box Doc Gen jobs in a batch.
      operationId: get_docgen_batch_jobs_id_v2025.0
      parameters:
        - name: batch_id
          in: path
          description: Box Doc Gen batch ID.
          required: true
          schema:
            type: string
          example: 123
        - name: marker
          in: query
          description: >-
            Defines the position marker at which to begin returning results.
            This is used when paginating using marker-based pagination.


            This requires `usemarker` to be set to `true`.
          required: false
          schema:
            type: string
          example: JV9IRGZmieiBasejOG9yDCRNgd2ymoZIbjsxbJMjIs3kioVii
        - name: limit
          in: query
          description: The maximum number of items to return per page.
          required: false
          schema:
            type: integer
            format: int64
            maximum: 1000
          example: 1000
        - $ref: '#/components/parameters/BoxVersionHeader'
      responses:
        '200':
          description: Returns a list of Box Doc Gen jobs in a Box Doc Gen batch.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/DocGenJobs'
        '400':
          description: >-
            Returned if the user has passed in a malformed marker or limit
            value.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ClientError'
        '403':
          description: >-
            The client does not have access rights to the content or resource
            requested.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ClientError'
        '404':
          description: >-
            Returned if the batch is not found or the user does not have access
            to the associated batch.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ClientError'
        '429':
          description: The user has sent too many requests in a given amount of time.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ClientError'
        default:
          description: An unexpected condition was encountered on the server.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ClientError'
      x-codeSamples:
        - lang: curl
          label: Get Box Doc Gen jobs by batch ID
          source: |-
            curl -i -X GET "https://api.box.com/2.0/docgen_batch_jobs/12345" \
                 -H 'box-version: 2025.0' \
                 -H "authorization: Bearer <ACCESS_TOKEN>"
        - lang: dotnet
          label: Get Box Doc Gen jobs by batch ID
          source: >-
            await client.Docgen.GetDocgenBatchJobByIdV2025R0Async(batchId:
            docgenBatch.Id);
        - lang: swift
          label: Get Box Doc Gen jobs by batch ID
          source: >-
            try await client.docgen.getDocgenBatchJobByIdV2025R0(batchId:
            docgenBatch.id)
        - lang: java
          label: Get Box Doc Gen jobs by batch ID
          source: client.getDocgen().getDocgenBatchJobByIdV2025R0(docgenBatch.getId())
        - lang: node
          label: Get Box Doc Gen jobs by batch ID
          source: await client.docgen.getDocgenBatchJobByIdV2025R0(docgenBatch.id);
        - lang: python
          label: Get Box Doc Gen jobs by batch ID
          source: client.docgen.get_docgen_batch_job_by_id_v2025_r0(docgen_batch.id)
components:
  parameters:
    BoxVersionHeader:
      name: box-version
      in: header
      description: Version header.
      allowEmptyValue: false
      required: true
      schema:
        type: string
        enum:
          - '2025.0'
      example: '2025.0'
  schemas:
    DocGenJobs:
      description: A list of Box Doc Gen jobs with a standard set of parameters.
      type: object
      allOf:
        - type: object
          description: The part of an API response that describes marker based pagination.
          properties:
            limit:
              description: >-
                The limit that was used for these entries. This will be the same
                as the `limit` query parameter unless that value exceeded the
                maximum value allowed. The maximum value varies by API.
              type: integer
              format: int64
              example: 1000
            next_marker:
              description: The marker for the start of the next page of results.
              type: string
              example: JV9IRGZmieiBasejOG9yDCRNgd2ymoZIbjsxbJMjIs3kioVii
              nullable: true
            prev_marker:
              description: The marker for the start of the previous page of results.
              type: string
              example: JV9IRGZmieiBasejOG9yDCRNgd2ymoZIbjsxbJMjIs3kioVih
              nullable: true
        - properties:
            entries:
              description: List of jobs.
              type: array
              items:
                $ref: '#/components/schemas/DocGenJob'
      title: Box Doc Gen jobs
      x-box-resource-id: docgen_jobs_v2025.0
      x-box-tag: docgen
      x-box-variant: base
      x-box-variants:
        - standard
        - full
    ClientError:
      description: A generic error.
      type: object
      properties:
        type:
          description: The value will always be `error`.
          type: string
          example: error
          enum:
            - error
          nullable: false
        status:
          description: The HTTP status of the response.
          type: integer
          format: int32
          example: 400
          nullable: false
        code:
          description: A Box-specific error code.
          type: string
          example: item_name_invalid
          enum:
            - created
            - accepted
            - no_content
            - redirect
            - not_modified
            - bad_request
            - unauthorized
            - forbidden
            - not_found
            - method_not_allowed
            - conflict
            - precondition_failed
            - too_many_requests
            - internal_server_error
            - unavailable
            - item_name_invalid
            - insufficient_scope
        message:
          description: A short message describing the error.
          type: string
          example: Method Not Allowed
          nullable: false
        context_info:
          description: >-
            A free-form object that contains additional context about the error.
            The possible fields are defined on a per-endpoint basis. `message`
            is only one example.
          type: object
          example:
            message: Something went wrong
          additionalProperties: {}
          nullable: true
        help_url:
          description: A URL that links to more information about why this error occurred.
          type: string
          example: >-
            https://developer.box.com/guides/api-calls/permissions-and-errors/common-errors/
          nullable: false
        request_id:
          description: >-
            A unique identifier for this response, which can be used when
            contacting Box support.
          type: string
          example: abcdef123456
          nullable: false
      title: Client error
      x-box-resource-id: client_error_v2025.0
    DocGenJob:
      description: A standard representation of a Box Doc Gen job.
      type: object
      allOf:
        - $ref: '#/components/schemas/DocGenJob--Base'
        - properties:
            batch:
              allOf:
                - $ref: '#/components/schemas/DocGenBatch--Base'
                - description: Box Doc Gen batch that the job belongs to.
            template_file:
              allOf:
                - $ref: '#/components/schemas/FileReference'
                - description: Box Doc Gen template used in the job.
            template_file_version:
              allOf:
                - $ref: '#/components/schemas/FileVersion--Base'
                - description: File version of a template.
            output_file:
              allOf:
                - oneOf:
                    - $ref: '#/components/schemas/FileReference'
                    - title: OpenAPI 3.0 null schema type
                      description: The definition for a null schema type in OpenAPI `3.0`.
                      type: object
                      nullable: true
                      additionalProperties: false
                - description: >-
                    The output file of the job. This property is `null` until
                    the job is completed.
            output_file_version:
              allOf:
                - oneOf:
                    - $ref: '#/components/schemas/FileVersion--Base'
                    - title: OpenAPI 3.0 null schema type
                      description: The definition for a null schema type in OpenAPI `3.0`.
                      type: object
                      nullable: true
                      additionalProperties: false
                - description: >-
                    File version of the output file. This property is `null`
                    until the job is completed.
            status:
              description: Status of the job.
              type: string
              example: completed
              enum:
                - submitted
                - completed
                - failed
                - completed_with_error
                - pending
            output_type:
              description: Type of the generated file.
              type: string
              example: docx
      required:
        - id
        - batch
        - template_file
        - template_file_version
        - status
        - output_type
      title: Box Doc Gen job
      x-box-resource-id: docgen_job_v2025.0
      x-box-tag: docgen
      x-box-variant: standard
      x-box-variants:
        - base
        - standard
        - full
    DocGenJob--Base:
      description: The basic representation of a Box Doc Gen job.
      type: object
      properties:
        id:
          description: The unique identifier that represent a Box Doc Gen job.
          type: string
          example: '12345'
          nullable: false
        type:
          description: The value will always be `docgen_job`.
          type: string
          example: docgen_job
          enum:
            - docgen_job
          nullable: false
      required:
        - id
        - type
      title: Box Doc Gen job (Base)
      x-box-resource-id: docgen_job_v2025.0--base
      x-box-tag: docgen
      x-box-variant: base
      x-box-variants:
        - base
        - standard
        - full
    DocGenBatch--Base:
      description: >-
        The basic representation of a Box Doc Gen batch object. A Box Doc Gen
        batch contains one or more Box Doc Gen jobs.
      type: object
      properties:
        id:
          description: The unique identifier that represents a Box Doc Gen batch.
          type: string
          example: '12345'
          nullable: false
        type:
          description: The value will always be `docgen_batch`.
          type: string
          example: docgen_batch
          enum:
            - docgen_batch
          nullable: false
      required:
        - id
        - type
      title: Box Doc Gen batch (Base)
      x-box-resource-id: docgen_batch_v2025.0--base
      x-box-tag: docgen
      x-box-variant: base
      x-box-variants:
        - base
    FileReference:
      description: File reference.
      type: object
      properties:
        type:
          description: The value will always be `file`.
          type: string
          example: file
          enum:
            - file
          nullable: false
        id:
          description: ID of the object.
          type: string
          example: '42037322'
          nullable: false
      required:
        - type
        - id
      title: File reference
    FileVersion--Base:
      description: >-
        The bare basic representation of a file version, the minimal amount of
        fields returned when using the `fields` query parameter.
      type: object
      properties:
        id:
          description: The unique identifier that represent a file version.
          type: string
          example: '12345'
          nullable: false
        type:
          description: The value will always be `file_version`.
          type: string
          example: file_version
          enum:
            - file_version
          nullable: false
      required:
        - id
        - type
      title: File version (Base)
  securitySchemes:
    OAuth2Security:
      type: oauth2
      flows:
        authorizationCode:
          authorizationUrl: https://account.box.com/api/oauth2/authorize
          tokenUrl: https://api.box.com/oauth2/token
          scopes:
            root_readonly: Read all files and folders stored in Box
            root_readwrite: Read and write all files and folders stored in Box
            manage_app_users: Provision and manage app users
            manage_managed_users: Provision and manage managed users
            manage_groups: Manage an enterprise's groups
            manage_webhook: Create webhooks programmatically through the API
            manage_enterprise_properties: Manage enterprise properties
            manage_data_retention: Manage data retention polices
            manage_legal_hold: Manage Legal Holds

````